Loading...
Searching...
No Matches
InternalNode< ChildT >::ValueOnIterator Class Reference

Visits active tile values of this node only. More...

`#include <nanovdb/util/GridBuilder.h>`

Inheritance diagram for InternalNode< ChildT >::ValueOnIterator:

## Public Member Functions

| ValueOnIterator ()
| ValueOnIterator (const InternalNode *parent)
ValueOnIterator & | operator= (const ValueOnIterator &)=default
ValueType | operator* () const
Coord | getCoord () const

## Detailed Description

template<typename ChildT>
class nanovdb::build::InternalNode< ChildT >::ValueOnIterator

Visits active tile values of this node only.

## Constructor & Destructor Documentation

## ValueOnIterator() [1/2]

template<typename ChildT >

ValueOnIterator | ( |  | ) |

inline

## ValueOnIterator() [2/2]

template<typename ChildT >

ValueOnIterator | ( | const InternalNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename ChildT >

Coord getCoord | ( |  | ) | const

inline

## operator*()

template<typename ChildT >

ValueType operator* | ( |  | ) | const

inline

## operator=()

template<typename ChildT >

ValueOnIterator & operator= | ( | const ValueOnIterator & |  | ) |

default